Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class ListPage<T>

    java.lang.Object
      com.tibco.bpm.web.client.model.types.ListPage<T>

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class ListPage<T>

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Used to transfer a page of data from the server to the client.

Contains a list of items in the page along with details of the total number of items and total pages on the server.

Since:
  1.2.0

Constructor Summary
`ListPage()`

Method Summary
`long` | `getCurrentPageNumber()` The current page number.
`long` | `getEndPosition()` Position of last item in the page.
`java.util.ArrayList<T>` | `getListItems()` The list of items ( for this page ).
`long` | `getPageSize()` Size of the page ( number of items ).
`long` | `getStartPosition()` Position of first item in the page.
`long` | `getTimeMillis()`
`long` | `getTotalItems()` Total number of items available.
`long` | `getTotalPages()` Total number of pages available.
`void` | `setCurrentPageNumber(long currentPageNumber)` The current page number.
`void` | `setEndPosition(long endPosition)` Position of last item in the page.
`void` | `setListItems(java.util.ArrayList<T> listItems)` The list of items ( for this page ).
`void` | `setPageSize(long pageSize)` Size of the page ( number of items ).
`void` | `setStartPosition(long startPosition)` Position of first item in the page.
`void` | `setTimeMillis(long mS)`
`void` | `setTotalItems(long totalItems)` Total number of items available.
`void` | `setTotalPages(long totalPages)` Total number of pages available.
`void` | `sortList(java.util.Comparator<T> comp)` Method to sort the page.
`void` | `updatePage(long start, long pageSize)` Update the page with a new start item and page size.
`void` | `updatePage(long start, long pageSize, long totalItems)` Update the page with a new start item, page size and total number of items.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListPage

    public ListPage()

Method Detail

### getTimeMillis

    public long getTimeMillis()

  Returns:
    time stamp in milliseconds

### setTimeMillis

    public void setTimeMillis(long mS)

  Parameters:
    `set` - time stamp in milliseconds

### sortList

    public void sortList(java.util.Comparator<T> comp)

  Method to sort the page. In order to sort a comparator function must be supplied.

  Parameters:
    `Comparator` - functions for type .
  See Also:
    `Comparator`

### getEndPosition

    public long getEndPosition()

  Position of last item in the page.

  Returns:
    Returns the endPosition.

### setEndPosition

    public void setEndPosition(long endPosition)

  Position of last item in the page.

  Parameters:
    `endPosition` - The endPosition to set.

### getStartPosition

    public long getStartPosition()

  Position of first item in the page.

  Returns:
    Returns the startPosition.

### setStartPosition

    public void setStartPosition(long startPosition)

  Position of first item in the page.

  Parameters:
    `startPosition` - The startPosition to set.

### getPageSize

    public long getPageSize()

  Size of the page ( number of items ).

  Returns:
    Returns the pageSize.

### setPageSize

    public void setPageSize(long pageSize)

  Size of the page ( number of items ).

  Parameters:
    `pageSize` - The pageSize to set.

### getCurrentPageNumber

    public long getCurrentPageNumber()

  The current page number.

  Returns:
    Returns the currentPageNumber.

### setCurrentPageNumber

    public void setCurrentPageNumber(long currentPageNumber)

  The current page number.

  Parameters:
    `currentPageNumber` - The currentPageNumber to set.

### getTotalPages

    public long getTotalPages()

  Total number of pages available.

  Returns:
    Returns the totalPages.

### setTotalPages

    public void setTotalPages(long totalPages)

  Total number of pages available.

  Parameters:
    `totalPages` - The totalPages to set.

### getTotalItems

    public long getTotalItems()

  Total number of items available.

  Returns:
    Returns the totalItems.

### setTotalItems

    public void setTotalItems(long totalItems)

  Total number of items available.

  Parameters:
    `totalItems` - The totalItems to set.

### getListItems

    public java.util.ArrayList<T> getListItems()

  The list of items ( for this page ).

  Returns:
    Returns the listItems.

### setListItems

    public void setListItems(java.util.ArrayList<T> listItems)

  The list of items ( for this page ).

  Parameters:
    `listItems` - The listItems to set.

### updatePage

    public void updatePage(long start,
                           long pageSize,
                           long totalItems)

  Update the page with a new start item, page size and total number of items.

  Parameters:
    `Start` - position for the page.
    `Size` - of the page.
    `Total` - number of items on the server.

### updatePage

    public void updatePage(long start,
                           long pageSize)

  Update the page with a new start item and page size.

  Parameters:
    `Start` - position for the page.
    `Size` - of the page.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.